Skip to content
POST

Generate onboarding widget URL

https://api.kustom.co/accountmanagement/v1/merchants/{merchantId}/widget-url-request

Generates a URL for the Kustom onboarding widget that the merchant can use to complete their KYC process.

Parameters2 fields
  • merchantIdstringrequiredin path

    The unique Kustom merchant identifier.

  • languagestringoptionalin query

    Language code for the widget (e.g. en-GB, sv-SE).

200
Response1 field

Widget URL successfully generated.

  • widget_urlstringrequired

    The URL for the Kustom onboarding widget.

401
Response0 fields

Unauthorized — missing or invalid access token.

No response body — this status returns headers only.

404
Response0 fields

Merchant not found.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.